Delete company
curl --request DELETE \
--url https://api.upwell.com/api/rest/companies/{id} \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>"
}
'import requests
url = "https://api.upwell.com/api/rest/companies/{id}"
payload = { "id": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>'})
};
fetch('https://api.upwell.com/api/rest/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deleteCompany": {
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>"
}
}Companies
Delete company
Delete a company by its ID.
DELETE
/
api
/
rest
/
companies
/
{id}
Delete company
Headers
Your API key will be used for authentication of the request. Authorization: YOUR_API_KEY
Path Parameters
"id" is required (enter it either in parameters or request body)
Body
application/json
Query parameters can also be provided in the request body as a JSON object
Response
200 - application/json
Responses for DELETE /api/rest/companies/{id}
Companies table - stores all company entities with their branding, contact info, and MC numbers. Each tenant can have multiple companies for different divisions or legal entities.
Show child attributes
Show child attributes
āI

